Index: /trunk/WebCore/kwq/qt/qstring.h
===================================================================
--- /trunk/WebCore/kwq/qt/qstring.h	(revision 20)
+++ /trunk/WebCore/kwq/qt/qstring.h	(revision 30)
@@ -38,5 +38,6 @@
     QChar lower() const;
     char latin1() const;
-    bool isDigit();
+    bool isDigit() const;
+    bool isSpace() const;
     friend inline int operator==(QChar, QChar);
     friend inline int operator!=(QChar, QChar);
@@ -46,4 +47,6 @@
 public:
     QString();
+    QString(const QChar *, uint);
+    QString(const char *s);
     int toInt() const;
     int toInt(bool *) const;
@@ -52,4 +55,17 @@
     uint length() const;
     QString &sprintf(const char *format, ...);
+    QString lower() const;
+    QString stripWhiteSpace() const;
+    bool isEmpty() const;
+    int contains(const char *) const;
+    const char *ascii() const;
+    // FIXME: is there a standard parameter type for overloaded operators?
+    QChar operator[](int) const;
+    QString &operator+=(QChar c);
+
+    QString &append(const char *);
+    QString &append(const QString &);
+
+    QCString utf8() const;
 
     static const QString null;
Index: /trunk/WebCore/kwq/qt/qwidget.h
===================================================================
--- /trunk/WebCore/kwq/qt/qwidget.h	(revision 20)
+++ /trunk/WebCore/kwq/qt/qwidget.h	(revision 30)
@@ -28,4 +28,6 @@
 
 class QWidget {
+public:
+	int winId() const;
 };
 
Index: /trunk/WebCore/src/kdelibs/khtml/css/.cvsignore
===================================================================
--- /trunk/WebCore/src/kdelibs/khtml/css/.cvsignore	(revision 20)
+++ /trunk/WebCore/src/kdelibs/khtml/css/.cvsignore	(revision 30)
@@ -2,2 +2,7 @@
 Makefile.in
 *.strip
+cssproperties.c
+cssproperties.h
+cssvalues.c
+cssvalues.h
+cssvalues.gperf
Index: /trunk/WebCore/src/kwq/dcop/dcopclient.h
===================================================================
--- /trunk/WebCore/src/kwq/dcop/dcopclient.h	(revision 20)
+++ /trunk/WebCore/src/kwq/dcop/dcopclient.h	(revision 30)
@@ -27,3 +27,21 @@
 #define DCOPCLIENT_H_
 
+class QCString;
+class QByteArray;
+
+// KApplication needs this
+class DCOPClient {
+public:
+	bool call(const char *remApp, const char *remObj, const char *remFun, const QByteArray &data,
+		QCString& replyType, QByteArray &replyData, bool useEventLoop=false, bool fast=false);
+	bool call(const QCString &remApp, const QCString &remObj, const QCString &remFun, const QByteArray &data,
+		QCString& replyType, QByteArray &replyData, bool useEventLoop=false, bool fast=false);
+
+	bool send(const char *remApp, const char *remObj, const char *remFun, const QByteArray &data, bool fast=false);
+	bool send(const QCString &remApp, const QCString &remObj, const QCString &remFun, const QByteArray &data, 
+		bool fast=false);
+
+
+};
+
 #endif
Index: /trunk/WebCore/src/kwq/kdecore/kapp.h
===================================================================
--- /trunk/WebCore/src/kwq/kdecore/kapp.h	(revision 20)
+++ /trunk/WebCore/src/kwq/kdecore/kapp.h	(revision 30)
@@ -27,3 +27,16 @@
 #define KAPP_H_
 
+#include <dcopclient.h>
+
+#define kapp KApplication::kApplication()
+
+class KApplication {
+public:
+	static KApplication* kApplication() { return KApp; }
+	virtual DCOPClient *dcopClient();
+protected:
+	static KApplication *KApp;
+};
+
+
 #endif
Index: /trunk/WebCore/src/kwq/kdecore/kdebug.h
===================================================================
--- /trunk/WebCore/src/kwq/kdecore/kdebug.h	(revision 20)
+++ /trunk/WebCore/src/kwq/kdecore/kdebug.h	(revision 30)
@@ -27,3 +27,25 @@
 #define KDEBUG_H_
 
+#include <qstring.h>
+
+class kdbgstream;
+typedef kdbgstream & (*KDBGFUNC)(kdbgstream &);
+
+class kdbgstream {
+public:
+	kdbgstream &operator<<(const char *string);
+	kdbgstream &operator<<(const QString& string);
+	kdbgstream &operator<<(const QCString& string);
+	kdbgstream &operator<<(KDBGFUNC f);
+};
+
+inline kdbgstream &endl( kdbgstream &s) { s << "\n"; return s; }
+
+kdbgstream kdWarning(int area = 0);
+kdbgstream kdWarning(bool cond, int area = 0);
+kdbgstream kdError(int area = 0);
+kdbgstream kdError(bool cond, int area = 0);
+kdbgstream kdFatal(int area = 0);
+kdbgstream kdFatal(bool cond, int area = 0);
+
 #endif
Index: /trunk/WebCore/src/kwq/kio/job.h
===================================================================
--- /trunk/WebCore/src/kwq/kio/job.h	(revision 20)
+++ /trunk/WebCore/src/kwq/kio/job.h	(revision 30)
@@ -27,3 +27,11 @@
 #define JOB_H_
 
+// added to help in compilation of khtml/khtml_part.h:867
+namespace KIO {
+
+class Job {
+};
+
+}
+
 #endif
Index: /trunk/WebCore/src/kwq/kparts/browserextension.h
===================================================================
--- /trunk/WebCore/src/kwq/kparts/browserextension.h	(revision 20)
+++ /trunk/WebCore/src/kwq/kparts/browserextension.h	(revision 30)
@@ -27,3 +27,23 @@
 #define BROWSEREXTENSION_H_
 
+// Added for compilation of khtml/dom/html_document.cpp:184
+#include <qdatastream.h>
+
+// Added for compilation of khtml/khtml_part.h:734
+class QPoint;
+
+// Added for compilation of khtml/khtml_part.h:755
+class QEvent;
+
+namespace KParts {
+
+// Added for compilation of khtml/khtml_part.h:695
+struct URLArgs {
+};
+
+class BrowserExtension {
+};
+
+};
+
 #endif
Index: /trunk/WebCore/src/kwq/kparts/part.h
===================================================================
--- /trunk/WebCore/src/kwq/kparts/part.h	(revision 30)
+++ /trunk/WebCore/src/kwq/kparts/part.h	(revision 30)
@@ -0,0 +1,62 @@
+/*
+ * Copyright (C) 2001 Apple Computer, Inc.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */
+
+#ifndef PART_H_
+#define PART_H_
+
+#include <kurl.h>
+
+// added to help in compilation of khtml/khtml_part.h:867
+namespace KIO {
+class Job;
+}
+ 
+// forward declaration hack to help in compilation of khtml/khtml_part.h:166
+class QWidget;
+
+// forward declaration hack to help in compilation of khtml/khtml_part.h:249
+class QVariant;
+
+// forward declaration hack to help in compilation of khtml/khtml_part.h:552
+class QCursor;
+
+// forward declaration hack to help in compilation of khtml/khtml_part.h:631
+class QDataStream;
+
+namespace KParts {
+
+class Part {
+};
+
+class ReadOnlyPart : public Part {
+};
+
+// hack to help in compilation of khtml/khtml_part.h:785
+class GUIActivateEvent {
+};
+
+};
+
+#endif
Index: /trunk/WebCore/src/kwq/qt/qcstring.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qcstring.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qcstring.h	(revision 30)
@@ -27,5 +27,13 @@
 #define QCSTRING_H_
 
+// added to help in compilation of khtml/khtml_part.h:811
 #include "qarray.h"
 
+// added to help in compilation of khtml/dom/html_documnent.cpp:182
+class QCString {
+};
+
+inline bool operator!=( const char *s1, const QCString &s2 ) { return 0; } // FIXME
+inline bool operator!=( const QCString &s1, const char *s2 ) { return 0; } // FIXME
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qcursor.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qcursor.h	(revision 30)
+++ /trunk/WebCore/src/kwq/qt/qcursor.h	(revision 30)
@@ -0,0 +1,32 @@
+/*
+ * Copyright (C) 2001 Apple Computer, Inc.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */
+
+#ifndef QCURSOR_H
+#define QCURSOR_H
+
+class QCursor {
+};
+
+#endif
Index: /trunk/WebCore/src/kwq/qt/qdatastream.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qdatastream.h	(revision 30)
+++ /trunk/WebCore/src/kwq/qt/qdatastream.h	(revision 30)
@@ -0,0 +1,43 @@
+/*
+ * Copyright (C) 2001 Apple Computer, Inc.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */
+
+#ifndef QDATASTREAM_H_
+#define QDATASTREAM_H_
+
+#include <qarray.h>
+#include <qiodevice.h>
+
+class QDataStream {
+public:
+	QDataStream( QByteArray, int mode );
+	virtual ~QDataStream();
+
+	QDataStream &operator<<( const char *str );
+	QDataStream &operator<<( const QString &str );
+	QDataStream &operator<<( const QCString &str );
+	QDataStream &operator>>( const QString &str );
+};
+
+#endif
Index: /trunk/WebCore/src/kwq/qt/qevent.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qevent.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qevent.h	(revision 30)
@@ -27,3 +27,12 @@
 #define QEVENT_H_
 
+// all the following events added to support khtmlview.h 
+class QEvent {};
+class QFocusEvent : public QEvent {};
+class QHideEvent : public QEvent {};
+class QKeyEvent : public QEvent {};
+class QResizeEvent : public QEvent {};
+class QShowEvent : public QEvent {};
+class QWheelEvent : public QEvent {};
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qfontmetrics.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qfontmetrics.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qfontmetrics.h	(revision 30)
@@ -27,3 +27,5 @@
 #define QFONTMETRICS_H_
 
+class QFontMetrics;
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qiodevice.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qiodevice.h	(revision 30)
+++ /trunk/WebCore/src/kwq/qt/qiodevice.h	(revision 30)
@@ -0,0 +1,38 @@
+/*
+ * Copyright (C) 2001 Apple Computer, Inc.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */
+
+#ifndef QIODEVICE_H_
+#define QIODEVICE_H_
+
+// constants added to help in compilation of html_document.cpp:184
+#define IO_ReadOnly             0x0001          // readable device
+#define IO_WriteOnly            0x0002          // writable device
+#define IO_ReadWrite            0x0003          // read+write device
+#define IO_Append               0x0004          // append
+#define IO_Truncate             0x0008          // truncate device
+#define IO_Translate            0x0010          // translate CR+LF
+#define IO_ModeMask             0x00ff
+
+#endif
Index: /trunk/WebCore/src/kwq/qt/qmap.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qmap.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qmap.h	(revision 30)
@@ -27,3 +27,6 @@
 #define QMAP_H_
 
+template <class K, class T> class QMap {
+};
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qobject.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qobject.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qobject.h	(revision 30)
@@ -27,4 +27,8 @@
 #define QOBJECT_H_
 
+// includes added to help in compilation of khtml/khtmlview.h
+#include "qobjectdefs.h"
+#include "qevent.h"
+
 // FIXME: should these macros be in "kwq.h" or other header file?
 #define slots
Index: /trunk/WebCore/src/kwq/qt/qobjectdefs.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qobjectdefs.h	(revision 30)
+++ /trunk/WebCore/src/kwq/qt/qobjectdefs.h	(revision 30)
@@ -0,0 +1,33 @@
+/*
+ * Copyright (C) 2001 Apple Computer, Inc.  All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ *
+ * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
+ * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+ * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
+ * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
+ * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */
+
+#ifndef QOBJECTDEFS_H_
+#define QOBJECTDEFS_H_
+
+// FIXME: should these macros be in "kwq.h" or other header file?
+
+#define Q_PROPERTY(text)
+
+#endif
Index: /trunk/WebCore/src/kwq/qt/qpaintdevice.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qpaintdevice.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qpaintdevice.h	(revision 30)
@@ -27,3 +27,5 @@
 #define QPAINTDEVICE_H_
 
+#include "qrect.h"
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qpixmap.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qpixmap.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qpixmap.h	(revision 30)
@@ -27,4 +27,6 @@
 #define QPIXMAP_H_
 
+#include "qpaintdevice.h"
+
 class QPixmap {
 };
Index: /trunk/WebCore/src/kwq/qt/qregexp.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qregexp.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qregexp.h	(revision 30)
@@ -27,3 +27,6 @@
 #define QREGEXP_H_
 
+class QRegExp {
+};
+
 #endif
Index: /trunk/WebCore/src/kwq/qt/qscrollview.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qscrollview.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qscrollview.h	(revision 30)
@@ -27,5 +27,7 @@
 #define QSCROLLVIEW_H_
 
-class QScrollView {
+#include "qwidget.h"
+
+class QScrollView : public QWidget {
 	typedef int ScrollBarMode;
 };
Index: /trunk/WebCore/src/kwq/qt/qstring.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qstring.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qstring.h	(revision 30)
@@ -38,5 +38,6 @@
     QChar lower() const;
     char latin1() const;
-    bool isDigit();
+    bool isDigit() const;
+    bool isSpace() const;
     friend inline int operator==(QChar, QChar);
     friend inline int operator!=(QChar, QChar);
@@ -46,4 +47,6 @@
 public:
     QString();
+    QString(const QChar *, uint);
+    QString(const char *s);
     int toInt() const;
     int toInt(bool *) const;
@@ -52,4 +55,17 @@
     uint length() const;
     QString &sprintf(const char *format, ...);
+    QString lower() const;
+    QString stripWhiteSpace() const;
+    bool isEmpty() const;
+    int contains(const char *) const;
+    const char *ascii() const;
+    // FIXME: is there a standard parameter type for overloaded operators?
+    QChar operator[](int) const;
+    QString &operator+=(QChar c);
+
+    QString &append(const char *);
+    QString &append(const QString &);
+
+    QCString utf8() const;
 
     static const QString null;
Index: /trunk/WebCore/src/kwq/qt/qwidget.h
===================================================================
--- /trunk/WebCore/src/kwq/qt/qwidget.h	(revision 20)
+++ /trunk/WebCore/src/kwq/qt/qwidget.h	(revision 30)
@@ -28,4 +28,6 @@
 
 class QWidget {
+public:
+	int winId() const;
 };
 
